import Bladex
import Doors
import Objects
import Levers
import Locks
import Sounds
import Sparks
import darfuncs
import Stars


### Sounds

deslizrasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizRasanexo")
deslizrasanexo.Volume=0.8
deslizrasanexo.MinDistance=5000
deslizrasanexo.MaxDistance=30000

golperasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeRasanexo")
golperasanexo.Volume=0.8
golperasanexo.MinDistance=5000
golperasanexo.MaxDistance=30000

deslizboxx=Sounds.CreateEntitySound("..\\..\\Sounds\\derrumbamiento-roca.wav", "DeslizBoxx")
deslizboxx.Volume=0.8
deslizboxx.MinDistance=5000
deslizboxx.MaxDistance=20000

golpeboxx=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeBoxx")
golpeboxx.Volume=0.8
golpeboxx.MinDistance=5000
golpeboxx.MaxDistance=20000

deslizslab=Sounds.CreateEntitySound("..\\..\\Sounds\\derrumbamiento-roca.wav", "DeslizSlab")
deslizslab.Volume=0.8
deslizslab.MinDistance=5000
deslizslab.MaxDistance=20000

golpeslab=Sounds.CreateEntitySound("..\\..\\Sounds\\Axe-2.wav", "GolpeSlab")
golpeslab.Volume=0.8
golpeslab.MinDistance=5000
golpeslab.MaxDistance=20000


############## Gate1

rasanexo=Bladex.CreateEntity("Rasanexo","Rastrillo",28250,-2200,6000,"Physic")
rasanexo.Scale=.8
rasanexo.Orientation=0.707107,0.707107,0.000000,0.000000
rasanexo=Sparks.SetMetalSparkling("Rasanexo")
rasanexo.Frozen=1
rasanexodin=Objects.CreateDinamicObject("Rasanexo")


##### Cemetary Gate

rasanexo2=Bladex.CreateEntity("Rasanexo2","Rastrillo",9497.54865585,-2800.09525015,112707.538406,"Physic")
rasanexo2.Scale=0.9
rasanexo2.Orientation=0.707107,0.707107,0.000000,0.000000
rasanexo2=Sparks.SetMetalSparkling("Rasanexo2")
rasanexo2.Frozen=1
rasanexo2din=Objects.CreateDinamicObject("Rasanexo2")

lockg1=Locks.PlaceLock("lockg1","Cerraduracutre",(7750,-1500,113500),(0.5,0.5,-0.5,0.5),2.5)
lockg1.key="keyg1"
darfuncs.SetHint(lockg1.obj,"Graveyard Lock")
lockg1.OnUnLockFunc=AbreGate
lockg1.OnUnLockArgs=(rasanexo2din,)
lockg1.OnLockFunc=CierraGate
lockg1.OnLockArgs=(rasanexo2din,)


##### Small Bridge Gate

rasanex5=Bladex.CreateEntity("Rasanex5","Rastrillo10",-26159.249985,-13297.0471622,66408.4962851,"Physic")
rasanex5.Scale=.6
rasanex5.Orientation=0.707107,0.707107,0.000000,0.000000
rasanex5=Sparks.SetMetalSparkling("Rasanex5")
rasanex5.Frozen=1
rasanex5din=Objects.CreateDinamicObject("Rasanex5")

palrasanex5=Levers.PlaceLever("PalRasanex5",Levers.LeverType3,(-24500,-15500,48250),(0.5,0.5,0.5,-0.5),1.0)
palrasanex5.mode=0
palrasanex5.OnTurnOnFunc=AbreGate
palrasanex5.OnTurnOnArgs=(rasanex5din,)
palrasanex5.OnTurnOffFunc=CierraGate
palrasanex5.OnTurnOffArgs=(rasanex5din,)


###### Demon Tower Exit

gate617=Bladex.CreateEntity("Gate617","Rastrillo",39154.5,-7883,147570,"Physic")
gate617.Scale=.6
gate617.Orientation=0.707107,0.707107,0.000000,0.000000
gate617=Sparks.SetMetalSparkling("Gate617")
gate617.Frozen=1
gate617din=Objects.CreateDinamicObject("Gate617")


#### Outer Double Gates

gate100=Bladex.CreateEntity("Gate100","Rastrillo10",56732,-8000,50099,"Physic")
gate100.Scale=1.4
gate100.Orientation=0.707107,-0.707107,0.000000,0.000000
gate100=Sparks.SetMetalSparkling("Gate100")
gate100.Frozen=1

gate101=Bladex.CreateEntity("Gate101","Rastrillo10",62332,-8000,50099,"Physic")
gate101.Scale=1.4
gate101.Orientation=0.707107,-0.707107,0.000000,0.000000
gate101=Sparks.SetMetalSparkling("Gate101")
gate101.Frozen=1


##### Inner Double Gates
gate200=Bladex.CreateEntity("Gate200","Rastrillo10",61877.0740937,-7572.2929436,31358.3254344,"Physic")
gate200.Scale=1.2
gate200.Orientation=0.707107,0.707107,0.000000,0.000000
gate200=Sparks.SetMetalSparkling("Gate200")
gate200.Frozen=1

gate201=Bladex.CreateEntity("Gate201","Rastrillo10",57277.0740937,-7572.2929436,31358.3254344,"Physic")
gate201.Scale=1.2
gate201.Orientation=0.707107,0.707107,0.000000,0.000000
gate201=Sparks.SetMetalSparkling("Gate201")
gate201.Frozen=1


############### inner single gate#####################################################

gate21=Bladex.CreateEntity("Gate21","Rastrillo10",77520,-6391,27704,"Physic")
gate21.Scale=0.8
gate21.Orientation=(0.5,0.5,0.5,-0.5)
gate21=Sparks.SetMetalSparkling("Gate21")
gate21.Frozen=1
gate21din=Objects.CreateDinamicObject("Gate21")

pal21=Levers.PlaceLever("Pal21",Levers.LeverType3,(77000,-5500,30000),(0.5,0.5,0.5,-0.5),1.0)
pal21.mode=0
pal21.OnTurnOnFunc=AbreGate
pal21.OnTurnOnArgs=(gate21din,)
pal21.OnTurnOffFunc=CierraGate
pal21.OnTurnOffArgs=(gate21din,)

#############cemetary shed door##############################################

gatec1=Bladex.CreateEntity("Gatec1","Plataforma",43663.7455848,-1390.68412031,120310.907736,"Physic")
gatec1.Scale=3
gatec1.Orientation=(0.707106769085,2.1422459362e-009,-0.707106769085,-5.24459409235e-009)
gatec1.Frozen=1


########### Up Big Stairs leading back to High Bridge

gate33=Bladex.CreateEntity("Gate33","Rastrillo",-42785,-12200,31000,"Physic")
gate33.Scale=0.8
gate33.Orientation=0.707,0.707,0.0,0.0
gate33=Sparks.SetMetalSparkling("Gate33")
gate33.Frozen=1
gate33din=Objects.CreateDinamicObject("Gate33")


palgate33=Levers.PlaceLever("PalGate33",Levers.LeverType3,(-27000,-11000,24500),(0.5,0.5,0.5,-0.5),1.0)
palgate33.mode=0
palgate33.OnTurnOnFunc=AbreGate
palgate33.OnTurnOnArgs=(gate33din,)
palgate33.OnTurnOffFunc=CierraGate
palgate33.OnTurnOffArgs=(gate33din,)


######### Mino gate (one with elephant)

gate34=Bladex.CreateEntity("Gate34","Rastrillo",22455.5501165,-2697.04716622,169441.155611,"Physic")
gate34.Scale=1.4
gate34.Orientation=0.707106769085,0.707106769085,0.0,0.0
gate34=Sparks.SetMetalSparkling("Gate34")
gate34.Frozen=1
gate34din=Objects.CreateDinamicObject("Gate34")


palgate34=Levers.PlaceLever("PalGate34",Levers.LeverType3,(18750,100,168600),(0.707,0.707,0,0),1.0)
palgate34.mode=0
palgate34.OnTurnOnFunc=AbreGate
palgate34.OnTurnOnArgs=(gate34din,4200.0, 600.0,)
palgate34.OnTurnOffFunc=CierraGate
palgate34.OnTurnOffArgs=(gate34din,4200.0, 600.0,)


######## Exit From Catacombs

gate35=Bladex.CreateEntity("Gate35","Rastrillo",-26270,-3797,-10057,"Physic")
gate35.Scale=1.2
gate35.Orientation=0.5,0.5,0.5,-0.5
gate35=Sparks.SetMetalSparkling("Gate35")
gate35.Frozen=1
gate35din=Objects.CreateDinamicObject("Gate35")


palgate35=Levers.PlaceLever("PalGate35",Levers.LeverType3,(-31500,100,-7000),(0.707,0.707,0,0),1.0)
palgate35.mode=0
palgate35.OnTurnOnFunc=AbreGate
palgate35.OnTurnOnArgs=(gate35din,)
palgate35.OnTurnOffFunc=CierraGate
palgate35.OnTurnOffArgs=(gate35din,)


############ On Bridge to Top Level

o=Bladex.CreateEntity("keyg36","Llavecutre",47900,-17100,-17600,"Physic")
o.Scale=1.0
o.Orientation=0.5,0.25,-0.825,0.031
darfuncs.SetHint(o,"Bridge Key")
Stars.Twinkle("keyg36")


gate36=Bladex.CreateEntity("Gate36","Rastrillo10",-6535,-19500,-10000,"Physic")
gate36.Scale=0.9
gate36.Orientation=0.5,0.5,-0.5,0.5
gate36=Sparks.SetMetalSparkling("Gate36")
gate36.Frozen=1
gate36din=Objects.CreateDinamicObject("Gate36")


lockg36=Locks.PlaceLock("lockg36","Cerraduracutre",(-6000,-18500,-7250),(0.707,707,0,0),2.5)
lockg36.key="keyg36"
darfuncs.SetHint(lockg36.obj,"Bridge Lock")
lockg36.OnUnLockFunc=AbreGate
lockg36.OnUnLockArgs=(gate36din,)
lockg36.OnLockFunc=CierraGate
lockg36.OnLockArgs=(gate36din,)


############### Top of Big stairs

rasanex9=Bladex.CreateEntity("Rasanex9","Rastrillo10",-51500,-19000,11000,"Physic")
rasanex9.Scale=.8
rasanex9.Orientation=0.707107,0.707107,0.000000,0.000000
rasanex9=Sparks.SetMetalSparkling("Rasanex9")
rasanex9.Frozen=1
rasanex9din=Objects.CreateDinamicObject("Rasanex9")


palrasanex9=Levers.PlaceLever("PalRasanex9",Levers.LeverType3,(-48500,-17500,10500),(0.707,0.707,0,0),1.0)
palrasanex9.mode=0
palrasanex9.OnTurnOnFunc=AbreGate
palrasanex9.OnTurnOnArgs=(rasanex9din,)
palrasanex9.OnTurnOffFunc=AbreGate
palrasanex9.OnTurnOffArgs=(rasanex9din,)


######## Dwarf Gate

rasanex91=Bladex.CreateEntity("Rasanex91","Rastrillo10",-14046.5494513,-11000,37143.4015416,"Physic")
rasanex91.Scale=.7
rasanex91.Orientation=0.707107,0.707107,0.000000,0.000000
rasanex91=Sparks.SetMetalSparkling("Rasanex91")
rasanex91.Frozen=1
rasanex91din=Objects.CreateDinamicObject("Rasanex91")


palrasanex91=Levers.PlaceLever("PalRasanex91",Levers.LeverType3,(-16750,-10500,36500),(0.707,0.707,0,0),1.0)
palrasanex91.mode=0
palrasanex91.OnTurnOnFunc=AbreGate
palrasanex91.OnTurnOnArgs=(rasanex91din,1600.0, 600.0,)
palrasanex91.OnTurnOffFunc=CierraGate
palrasanex91.OnTurnOffArgs=(rasanex91din,1600.0, 600.0,)



####### Moving Box

boxx=Bladex.CreateEntity("Boxx","Caja_i_i",-21894,-1205.43711452,104718, Reference.ObjType("Caja_i_i"))
boxx.Scale=2.4
boxx.Orientation=(0.991444885731,0.0,0.130526185036,0.0)
boxx.Frozen=1
boxxdin = Objects.CreateDinamicObject("Boxx")


###################################### Gallery Gate

gate39=Bladex.CreateEntity("Gate39","Rastrillo10",-1350,-7000,117500,"Physic")
gate39.Scale=.5
gate39.Orientation=0.707107,0.707107,0.000000,0.000000
gate39=Sparks.SetMetalSparkling("Gate39")
gate39.Frozen=1
gate39din=Objects.CreateDinamicObject("Gate39")


o=Bladex.CreateEntity("keyg39","Llavecutre",12500,-500,107500,"Physic")
o.Scale=1.0
o.Orientation=0.5,0.25,-0.825,0.031
darfuncs.SetHint(o,"Gallery Key")
Stars.Twinkle("keyg39")


lockg39=Locks.PlaceLock("lockg39","Cerraduracutre",(-150,-6200,117250),(0.5,0.5,0.5,-0.5),2.5)
lockg39.key="keyg39"
darfuncs.SetHint(lockg39.obj,"Gallery Lock")
lockg39.OnUnLockFunc=AbreGate
lockg39.OnUnLockArgs=(gate39din,2600.0, 600.0,)
lockg39.OnLockFunc=CierraGate
lockg39.OnLockArgs=(gate39din,2600.0, 600.0,)


############ Start Room

gate391=Bladex.CreateEntity("Gate391","Rastrillo10",-22000,-10500,117900,"Physic")
gate391.Scale=.6
gate391.Orientation=0.707107,0.707107,0.000000,0.000000
gate391=Sparks.SetMetalSparkling("Gate391")
gate391.Frozen=1
gate391din=Objects.CreateDinamicObject("Gate391")


palgate391=Levers.PlaceLever("PalGate391",Levers.LeverType3,(-22000,-7800,126500),(0.707,0.707,0,0),1.0)
palgate391.mode=0
palgate391.OnTurnOnFunc=AbreGate
palgate391.OnTurnOnArgs=(gate391din,2600.0, 600.0,)
palgate391.OnTurnOffFunc=CierraGate
palgate391.OnTurnOffArgs=(gate391din,2600.0, 600.0,)


########## Small Gate to Key Room

gate392=Bladex.CreateEntity("Gate392","Rastrillo10",77281.7435338,-4200,-48266.6701692,"Physic")
gate392.Scale=.8
gate392.Orientation=0.5,0.5,0.5,-0.5
gate392=Sparks.SetMetalSparkling("Gate392")
gate392.Frozen=1
gate392din=Objects.CreateDinamicObject("Gate392")


palgate392=Levers.PlaceLever("PalGate392",Levers.LeverType3,(75000,-2000,-46500),(0.707,0.707,0,0),1.0)
palgate392.mode=0
palgate392.OnTurnOnFunc=AbreGate
palgate392.OnTurnOnArgs=(gate392din,2600.0, 600.0,)
palgate392.OnTurnOffFunc=CierraGate
palgate392.OnTurnOffArgs=(gate392din,2600.0, 600.0,)


####### Small gate to Key Room (create opened)

gate47=Bladex.CreateEntity("Gate47","Rastrillo10",88470,-7500,-45500,"Physic")
gate47.Scale=0.6
gate47.Orientation=0.707106769085,0.707106769085,0.0,0.0
gate47=Sparks.SetMetalSparkling("Gate47")
gate47.Frozen=1
gate47din=Objects.CreateDinamicObject("Gate47")

######### Graveyard Slab

slab=Bladex.CreateEntity("Slab","Lapidarey",28874.1339642,-406.657773722,144441.03759, Reference.ObjType("Lapidarey"))
slab.Scale=1.3
slab.Orientation=(0.498662978411,0.499168217182,0.501187264919,-0.500976741314)
slab.Frozen=1
slabdin = Objects.CreateDinamicObject("Slab")


########## Near Stores (is it used?)

gate41=Bladex.CreateEntity("Gate41","Rastrillo10",37530.4984899,-4212.06903298,-41038.2271613,"Physic")
gate41.Scale=1.4
gate41.Orientation=0.5,0.5,-0.5,0.5
gate41=Sparks.SetMetalSparkling("Gate41")
gate41.Frozen=1
gate41din=Objects.CreateDinamicObject("Gate41")


######### Hall Dividers


gate49=Bladex.CreateEntity("Gate49","Rastrillo10",-91194.8606744,-568.161682578,-52532.0409759,"Physic")
gate49.Scale=0.8
gate49.Orientation=0.430459141731,0.430459201336,0.560985863209,-0.560985445976
gate49=Sparks.SetMetalSparkling("Gate49")
gate49.Frozen=1
gate49din=Objects.CreateDinamicObject("Gate49")


gate59=Bladex.CreateEntity("Gate59","Rastrillo10",-90985.9155183,-568.455894365,-32384.5012391,"Physic")
gate59.Scale=0.8
gate59.Orientation=0.560985445976,0.56098562479,0.430459231138,-0.43045938015
gate59=Sparks.SetMetalSparkling("Gate59")
gate59.Frozen=1
gate59din=Objects.CreateDinamicObject("Gate59")


####### Kings Tomb Slab

slabx=Bladex.CreateEntity("Slabx","LapidaCaballero",40188.1008536,-7955,156582.659236, Reference.ObjType("LapidaCaballero"))
slabx.Static=0
slabx.Scale=1.4
slabx.Orientation=(0.5,0.5,-0.5,0.5)
slabx.Impulse,(0,1,0)
slabxdin = Objects.CreateDinamicObject("Slabx")


########## Cellar Gates

gate350=Bladex.CreateEntity("Gate350","Rastrillo",74495.1378586,2394.82657766,-45661.9659856,"Physic")
gate350.Scale=0.8
gate350.Orientation=0.707,0.707,0.0,0.0
gate350=Sparks.SetMetalSparkling("Gate350")
gate350.Frozen=1
gate350din=Objects.CreateDinamicObject("Gate350")


palgate350=Levers.PlaceLever("PalGate350",Levers.LeverType3,(76500,4000,-47000),(0.5,0.5,0.5,-0.5),1.0)
palgate350.mode=0
palgate350.OnTurnOnFunc=AbreGate
palgate350.OnTurnOnArgs=(gate350din,)
palgate350.OnTurnOffFunc=CierraGate
palgate350.OnTurnOffArgs=(gate350din,)


######## Chaos Khight Gates

gate300=Bladex.CreateEntity("Gate300","Rastrillo10",94022.8370813,-4197.04715173,-54455.71732,"Physic")
gate300.Scale=0.8
gate300.Orientation=0.5,0.5,-0.5,0.5
gate300=Sparks.SetMetalSparkling("Gate300")
gate300.Frozen=1
gate300din=Objects.CreateDinamicObject("Gate300")


gate301=Bladex.CreateEntity("Gate301","Rastrillo10",94022.8370813,-4197.04715173,-50655.71732,"Physic")
gate301.Scale=0.8
gate301.Orientation=0.5,0.5,-0.5,0.5
gate301=Sparks.SetMetalSparkling("Gate301")
gate301.Frozen=1
gate301din=Objects.CreateDinamicObject("Gate301")

######################################################### spikes #########################################################

pinchosdeslizando1=Sounds.CreateEntitySound("..\\..\\Sounds\\pincho-desliz.wav", "PinchosDeslizando1")
pinchosgolpeando1=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "PinchosGolpeando1")


o=Bladex.CreateEntity("Spike1","PinchoManuel",87843.5915757,-2791.22295236,-64840.47163, Reference.ObjType("PinchoManuel"))
o.Scale=1.4
o.Orientation=(0.707106769085,0.0,0.0,0.707106769085)
o.Frozen=1
sp1din = Objects.CreateDinamicObject("Spike1")

o=Bladex.CreateEntity("Spike2","PinchoManuel",86643.5915757,-2791.22295236,-64840.47163, Reference.ObjType("PinchoManuel"))
o.Scale=1.4
o.Orientation=(0.707106769085,0.0,0.0,0.707106769085)
o.Frozen=1
sp2din = Objects.CreateDinamicObject("Spike2")

o=Bladex.CreateEntity("Spike3","PinchoManuel",85443.5915757,-2791.22295236,-64840.47163, Reference.ObjType("PinchoManuel"))
o.Scale=1.4
o.Orientation=(0.5,0.499999970198,0.499999970198,0.500000059605)
o.Frozen=1
sp3din = Objects.CreateDinamicObject("Spike3")

o=Bladex.CreateEntity("Spike4","PinchoManuel",84243.5915757,-2791.22295236,-64840.47163, Reference.ObjType("PinchoManuel"))
o.Scale=1.4
o.Orientation=(0.707106769085,0.0,0.0,0.707106769085)
o.Frozen=1
sp4din = Objects.CreateDinamicObject("Spike4")



forgegate=Bladex.CreateEntity("Rastrillo10_7037","Rastrillo10",22634.6146094,-4083.32242221,54646.7315899, Reference.ObjType("Rastrillo10"))
forgegate.Scale=0.6
forgegate.Orientation=(0.707,0.707,0.0,0.0)
forgegate=Sparks.SetMetalSparkling("Rastrillo10_7037")
forgegate.Frozen=1
forgegatedin=Objects.CreateDinamicObject("Rastrillo10_7037")


fplat=Bladex.CreateEntity("Plataforma_7040","Plataforma",35150,208,49162, Reference.ObjType("Plataforma"))
fplat.Scale=1.8
fplat.Orientation=(0.707106769085,-0.707106769085,0.0,0.0)
fplat.Alpha=0
fplat.CastShadows=0