import Bladex
import darfuncs
import EnmGenRnd
import LevelFuncs
import math





Bladex.AddParticleGType("Tierra2","SmokeParticle",B_PARTICLE_GTYPE_BLEND,64)

for i in range(64):
	aux=(64.0-i)/64.0
	r=210
	g=190
	b=140
	a=255.0*(1.0-aux)**0.5
	size=80.0+aux*400.0
	Bladex.SetParticleGVal("Tierra2",i,r,g,b,a,size)



Bladex.AddParticleGType("Tierra3","GenericParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	aux=(60-i)/60
	r=40
	g=30
	b=0
	a=255*(1.0-aux/2.0)
	size=60.0*(1.0-aux)
	Bladex.SetParticleGVal("Tierra3",i,r,g,b,a,size)




# Set these values to the expected player's level (0-19) at the beginning of the map
expected_player_lvl_min= 7
expected_player_lvl_max= 19

lvl_control= LevelFuncs.EnemyLevelControl (expected_player_lvl_min, expected_player_lvl_max)

generadorT1 = EnmGenRnd.CreateEnemiesGenerator(10, 2)
generadorT1.VirGenPos = 1006.22407132, -1105.16892958, 7012.1725020

generadorT1.AddPoint((-17207,500 ,102664),("Gen1Skl_1", "Skeleton", "Hacha4", 0, "Escudo2", 1), "Skl_appears1", lvl_control.GiveLevel(8,11))
generadorT1.AddPoint((10027,500 ,99537),  ("Gen1Skl_2", "Skeleton", "Hacha3", 0, "Escudo1", 1), "Skl_appears1", lvl_control.GiveLevel(9,12))
generadorT1.AddPoint((-4430,500 ,99070),("Gen1Skl_3", "Skeleton", "Martillo", 0, "Escudo1", 1), "Skl_appears1", lvl_control.GiveLevel(10,13))
generadorT1.AddPoint((2193,500 ,108895),("Gen1Skl_4", "Skeleton", "HookSword", 0, "Escudo4", 1), "Skl_appears1", lvl_control.GiveLevel(12,14))
generadorT1.AddPoint((9301,500,108409),("Gen1Skl_5", "Skeleton", "Hacha4", 0, "Escudo2", 1), "Skl_appears1", lvl_control.GiveLevel(12,14))
generadorT1.AddPoint((34,500,105098),("Gen1Skl_6", "Skeleton", "Hacha3", 0, "Escudo1", 1), "Skl_appears1", lvl_control.GiveLevel(12,14))


generadorT1.InitGenFunc=SaltaTierraGen
generadorT1.FinishGenFunc=EnableTunnelCollapse
generadorT1.DifTime = 0.6

generadorT1.Activate()

darfuncs.EnterSecEvent(9000, -1000, 99000,StartSkelGen)




################################################tested61001####worksok_dustwrongbutwhocares######################


generadorT2 = EnmGenRnd.CreateEnemiesGenerator(10, 2)

generadorT2.AddPoint((61920, 12500, 19490),("BtombGen1Lich_1", "Lich", "Hacha2", 1, "Escudo5", 1), "Skl_appears1")
generadorT2.AddPoint((67274, 12500, 13194),("BtombGen1Lich_2", "Lich", "Hacha3", 1, "Escudo5", 1), "Skl_appears2")
generadorT2.AddPoint((60050, 12500, 7949),("BtombGen1Lich_3", "Lich", "Hacha3", 1, "Escudo5", 1), "Skl_appears1")
generadorT2.AddPoint((67600, 12500, 2550),("BtombGen1Lich_4", "Lich", "Hacha2", 1, "Escudo5", 1), "Skl_appears1")
generadorT2.AddPoint((67300, 12500, 500),("BtombGen1Lich_5", "Lich", "Hacha2", 1, "Escudo4", 1), "Skl_appears1")
generadorT2.AddPoint((59500, 12500, 375),("BtombGen1Lich_6", "Lich", "Hacha4", 1, "Escudo5", 1), "Skl_appears1")
generadorT2.AddPoint((73000, 12500, 17960),("BtombGen1Lich_7", "Lich", "Hacha2", 1, "Escudo5", 1), "Skl_appears1")

generadorT2.InitGenFunc=SaltaTierraGen

generadorT2.VirGenPos = 0,0,0

generadorT2.CallBak = AsingaPropiedadesLich

generadorT2.Activate()


sectlichgen1=Bladex.GetSector(71543, 10000, 18017)
sectlichgen2=Bladex.GetSector(66217, 9000, -6026)

sectlichgen1.OnEnter= StartLichs
sectlichgen2.OnEnter= StartLichs

############################ burningskels #########################

Bladex.AddCombustionDataFor("Skeleton", "Fire", 250, 400, 4, 1, 3, 144000) # se extingira en 40 horas!

generadorBrnSkl = EnmGenRnd.CreateEnemiesGenerator(3, 1)
generadorBrnSkl.Level = lvl_control.GiveLevel(11, 16)

generadorBrnSkl.AddPoint((-11250, -5000, 155500),("BrnSkl2", "Skeleton", "HookSword", 0, "Escudo2", 1), "Skl_appears1")


generadorBrnSkl.InitGenFunc=GenerateBurnSkl
generadorBrnSkl.DifTime = 0.6
generadorBrnSkl.FinishGenFunc =FinGeneraFuego
generadorBrnSkl.Activate()


BrnSklSec2 = Bladex.GetSector(-2080, -7098, 159000)
BrnSklSec2.OnEnter = StartBurnSkl2
