####################################################################################

global ModName
global ModDesc
global ModVersion
global ModAuthor
global ModAuthorInfo
global NewFiles
global RepFiles
global MakeDirs

####################################################################################
# Mod Info
####################################################################################

# Mod Name
ModName          = "FugitiveI"
# Mod Description
import Language
if Language.Current == 'Spanish':
	ModDesc = (
		"""Con la subida del da el peligro viene desconocido..."""
		)
else:
	ModDesc = (
		"""With the rising of the day comes danger unknown..."""
		)

# Mod Version
ModVersion       = "1.2"
# Author name
ModAuthor        = "ProsperoProductions"
# Author info: email, url,...
ModAuthorInfo    = "peterrobinsonfineart@btinternet.com"

####################################################################################
# Mod Data
####################################################################################

# Make new directories

MakeDirs = ['../FugitiveI', 
	    '../FugitiveI/Spanish',
            '../FugitiveI/pak']
          

# New Files added by Mod and destination directory


NewFiles[0]      = {'File': 'FugitiveI/pj.py'                                       ,	'Dest': '../FugitiveI'}
NewFiles[1]      = {'File': 'FugitiveI/DefFuncs.py'                                 ,	'Dest': '../FugitiveI'}
NewFiles[2]      = {'File': 'FugitiveI/cfg.py'                                      ,	'Dest': '../FugitiveI'}
NewFiles[3]      = {'File': 'FugitiveI/FugitiveI.lvl'                               ,   'Dest': '../FugitiveI'}
NewFiles[4]      = {'File': 'FugitiveI/Blade_progress.jpg'                          ,   'Dest': '../FugitiveI'}
NewFiles[5]      = {'File': 'FugitiveI/Blade_progress2.jpg'                         ,   'Dest': '../FugitiveI'}
NewFiles[6]      = {'File': 'FugitiveI/Spanish/Blade_progress.jpg'                  ,   'Dest': '../FugitiveI//Spanish'}
NewFiles[7]      = {'File': 'FugitiveI//Spanish/Blade_progress2.jpg'                ,   'Dest': '../FugitiveI/Spanish'}
NewFiles[8]      = {'File': 'FugitiveI/castle.mmp'                                  ,   'Dest': '../FugitiveI'}
NewFiles[9]      = {'File': 'FugitiveI/castle.bw'                                   ,   'Dest': '../FugitiveI'}
NewFiles[10]     = {'File': 'FugitiveI/TextureMaterials.py'                         ,   'Dest': '../FugitiveI'}
NewFiles[11]     = {'File': 'FugitiveI/enemcast.py'                                 ,   'Dest': '../FugitiveI'}
NewFiles[12]     = {'File': 'FugitiveI/bodies.py'                                   ,   'Dest': '../FugitiveI'}
NewFiles[13]     = {'File': 'FugitiveI/collapse.py'                                 ,   'Dest': '../FugitiveI'}
NewFiles[14]     = {'File': 'FugitiveI/cuervos.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[15]     = {'File': 'FugitiveI/dadada.wav'                                  ,   'Dest': '../FugitiveI'}
NewFiles[16]     = {'File': 'FugitiveI/FugitiveIMenu/FugitiveIMenu.py'              ,   'Dest': '../../Scripts'}
NewFiles[17]     = {'File': 'FugitiveI/FugitiveIMenu/FugitiveIMenu.bmp'             ,   'Dest': '../FugitiveI'}
NewFiles[18]     = {'File': 'FugitiveI/def_class.py'                                ,   'Dest': '../FugitiveI'}
NewFiles[19]     = {'File': 'FugitiveI/Dome13.mmp'                                  ,   'Dest': '../FugitiveI'}
NewFiles[20]     = {'File': 'FugitiveI/ExTypes.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[21]     = {'File': 'FugitiveI/food.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[22]     = {'File': 'FugitiveI/forge.py'                                    ,   'Dest': '../FugitiveI'}
NewFiles[23]     = {'File': 'FugitiveI/gates.py'                                    ,   'Dest': '../FugitiveI'}
NewFiles[24]     = {'File': 'FugitiveI/Ghosect.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[25]     = {'File': 'FugitiveI/lava.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[26]     = {'File': 'FugitiveI/lift.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[27]     = {'File': 'FugitiveI/magix.py'                                    ,   'Dest': '../FugitiveI'}
NewFiles[28]     = {'File': 'FugitiveI/DefAnims.py'                                 ,   'Dest': '../FugitiveI'}
NewFiles[29]     = {'File': 'FugitiveI/necro.py'                                    ,   'Dest': '../FugitiveI'}
NewFiles[30]     = {'File': 'FugitiveI/objs.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[31]     = {'File': 'FugitiveI/puertas.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[32]     = {'File': 'FugitiveI/skelgen.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[33]     = {'File': 'FugitiveI/sonidos.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[34]     = {'File': 'FugitiveI/soundFX.sf'                                  ,   'Dest': '../FugitiveI'}
NewFiles[35]     = {'File': 'FugitiveI/stores.py'                                   ,   'Dest': '../FugitiveI'}
NewFiles[36]     = {'File': 'FugitiveI/agua.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[37]     = {'File': 'FugitiveI/weapons.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[38]     = {'File': 'FugitiveI/ActorsInit.py'                               ,   'Dest': '../FugitiveI'}
NewFiles[39]     = {'File': 'FugitiveI/Boss.py'                                     ,   'Dest': '../FugitiveI'}
NewFiles[40]     = {'File': 'FugitiveI/cam.py'                                      ,   'Dest': '../FugitiveI'}
NewFiles[41]     = {'File': 'FugitiveI/cascada.py'                                  ,   'Dest': '../FugitiveI'}
NewFiles[42]     = {'File': 'FugitiveI/MusicEvents.py'                              ,   'Dest': '../FugitiveI'}
NewFiles[43]     = {'File': 'FugitiveI/triggsect.py'                                ,   'Dest': '../FugitiveI'}
NewFiles[44]     = {'File': 'FugitiveI/QuiverTypes.py'                              ,   'Dest': '../FugitiveI'}
NewFiles[45]     = {'File': 'FugitiveI/Positions.py'                                ,   'Dest': '../FugitiveI'}
NewFiles[46]     = {'File': 'FugitiveI/Ubarb.bmp'                                   ,   'Dest': '../FugitiveI'}
NewFiles[47]     = {'File': 'FugitiveI/vampwp.mmp'                                  ,   'Dest': '../FugitiveI'}
NewFiles[48]     = {'File': 'FugitiveI/drown.sf'                                    ,   'Dest': '../FugitiveI'}
   
                     
   
                     
   
                     
                     
   
                     
   
                     
       
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                    
            
                     
                     