import Bladex
import Objects
import ItemTypes
import Sounds
import Auras
import GameText
import MenuText
import darfuncs
import AuxFuncs
import pocimac
import Stars
import GenFX
import Reference
import LevelFuncs
import Actions
import EnemyTypes
import Ontake
import OnInitTake
import CharStats
import def_class
import Basic_Funcs
import Damage
import math
import def_class



Bladex.AddParticleGType("VampEnergyConc","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0
	r=255
	g=130
	b=80
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("VampEnergyConc",i,r,g,b,a,size)

####################################################################################levelup skulls

o=Bladex.CreateEntity("Skull1","Skull",17323.156199,-208.234131673,99284.2293421,"Weapon")
o.Scale=1.0
o.Orientation=(0.742657065392,-0.116367153823,0.630216598511,0.19428370893)
darfuncs.SetHint(o,"Warrior Skull")
Ontake.AddOnTakeEvent("Skull1", SkullTaken)


o=Bladex.CreateEntity("Skull2","Skull",-71983.4667357,-19309.6152626,-21112.6350578, "Weapon")
o.Scale=1.0
o.Orientation=(0.672495901585,0.27668055892,0.495994329453,-0.474538475275)
darfuncs.SetHint(o,"Warrior Skull")
Ontake.AddOnTakeEvent("Skull2", SkullTaken)


o=Bladex.CreateEntity("Skull3","Skull",32364.2701384,-20088.3764353,14093.1542121, "Weapon")
o.Scale=1.0
o.Orientation=(0.673901736736,0.408662438393,0.410665869713,-0.458481222391)
darfuncs.SetHint(o,"Warrior Skull")
Ontake.AddOnTakeEvent("Skull3", SkullTaken)


o=Bladex.CreateEntity("Skull4","Skull",13000,5800,-24000, "Weapon")
o.Scale=1.0
o.Orientation=(0.783161699772,0.336944371462,-0.101515397429,-0.512660562992)
darfuncs.SetHint(o,"Warrior Skull")
Ontake.AddOnTakeEvent("Skull4", SkullTaken)
o.Impulse(0,0,0)

o=Bladex.CreateEntity("Skull_997","Skull",48975.6130921,-1645.44623576,-47482.2641018, "Weapon")
o.Scale=1.0
o.Orientation=(0.290068924427,0.450982928276,-0.792163014412,0.291465520859)


########################################### Vamp Trigger ##############################################

o=Bladex.CreateEntity("Magicamulet2","Amuleto",-68321,-1016.4757467,-42229, Reference.ObjType("Amuleto"))
o.Scale=1.0
o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
darfuncs.SetHint(o,"The Talisman of Ichor")

       
o=Bladex.CreateEntity("Corona_326","Corona",48504.2270292,-1766.07267502,21075.7328476, Reference.ObjType("Corona"))
o.Scale=1.0
o.Orientation=(0.760844528675,0.648398637772,-0.0160466302186,-0.0209109541029)
ItemTypes.ItemDefaultFuncs (o)


o=Bladex.CreateEntity("Magicamulet4","Amuletofantasma",29215,-19000,7776, Reference.ObjType("Amuletofantasma"))
o.Scale=1.0
o.Orientation=(0.742657065392,-0.116367153823,0.630216598511,0.19428370893)
darfuncs.SetHint(o,"Talisman of Ophiuchus")
ItemTypes.ItemDefaultFuncs (o)
o.Impulse(0,0,0)

###############
import os

MAGSWD="EspadaMagica1"
VAMPWP="Cazo"
MAGSWDSCALE=1.0
if os.path.exists ("../../Config/espmag4.cfg"):
	MAGSWD="EspadaMagica4"
	

from FugitiveIMenu import PlayerName
if PlayerName=="Tukaram":
	MAGSWDSCALE=1.2
	if os.path.exists ("../../Config/espmag5.cfg"):
		MAGSWD="EspadaMagica5"
	if os.path.exists ("../../Config/vampweapon3.cfg"):
		VAMPWP="VampWeapon3"
		
		
elif PlayerName=="Zoe":
	if os.path.exists ("../../Config/vampweapon4.cfg"):
		VAMPWP="VampWeapon4"
elif PlayerName=="Naglfar":
	if os.path.exists ("../../Config/vampweapon2.cfg"):
		VAMPWP="VampWeapon2"
elif PlayerName=="Sargon":
	if os.path.exists ("../../Config/vampweapon2.cfg"):
		VAMPWP="VampWeapon2"
	

	
	
	
	
	
	

o=Bladex.CreateEntity("MagicBlade",MAGSWD, 48823.0,-590.0,8022.0,"Weapon")
o.Scale=MAGSWDSCALE
o.Orientation=0.707107,-0.707107,0,0
Ontake.AddOnTakeEvent("MagicBlade", AuraSword1)


vs=Bladex.CreateEntity("Vampslayer",VAMPWP,-36002,-6028,-38578, "Weapon")
vs.Scale=MAGSWDSCALE
vs.Orientation=(0.7,-0.678,0.147,0.168)
vs.Data= def_class.WierdWeapons(vs)
vs.Impulse(0,0,0)
Ontake.AddOnTakeEvent("Vampslayer", DrainProtection)



if PlayerName=="Tukaram":
	if os.path.exists("../../Config/barbieclub.cfg"):
		o=Bladex.CreateEntity("BarbieClub1","BarbieClub",45602.5207537,-1836.88681099,114151.960229, "Weapon")
		o.Scale=1.0
		o.Orientation=(0.768351852894,-0.592950940132,0.0570590831339,0.234070196748)
	
else:
	o=Bladex.CreateEntity("Mazapiedra_1212","Mazapiedra",45602.5207537,-1836.88681099,114151.960229, "Weapon")
	o.Scale=1.0
	o.Orientation=(0.768351852894,-0.592950940132,0.0570590831339,0.234070196748)






o=Bladex.CreateEntity("LightningWand","Varita2",-4800,-8500,154888, "Weapon")
o.Scale=1.0
o.Orientation=(0.574469268322,-0.324469268322,-0.212096810341,-0.720915853977)
o.Impulse(0,0,0)
luz1=Bladex.CreateEntity("Electric1","Entity Spot", -4800,-8600,15488)
luz1.Color=100,10,200
luz1.Intensity=1
luz1.Precission=0.125
luz1.CastShadows=0
luz1.Visible=0
luz1.Flick=1 
luz1.SizeFactor = 0.2
luz1.AngVel=0.1
luz1.GlowTexture="SunFlare"
o.Link(luz1)


o=Bladex.CreateEntity("Daga_1199","Daga",-33000,-200,16500, "Weapon")
o.Scale=1.2
o.Orientation=(0.999886393547,0.0149086723104,-0.00220375740901,-0.000277288607322)
o.Data=ItemTypes.BladeSword2Barbarian(o)
darfuncs.SetHint(o,"Blade of the Goddess")


o=Bladex.CreateEntity("Guadanya_1210","Guadanya",48724.4077775,-355.348129646,114204.13723, "Weapon")
o.Scale=1.0
o.Orientation=(0.724428653717,-0.240409940481,-0.55941349268,0.32320690155)
darfuncs.SetHint(o,"Ork Slasher")


o=Bladex.CreateEntity("BarbSw1","LongSword",-43764.5443209,-237.473724996,116683.733904, "Weapon")
o.Scale=1.0
o.Orientation=(0.707106769085,0.0,-0.707106769085,0.0)


o=Bladex.CreateEntity("Magicamulet3","Amuletofantasma",95000,2900,79750, Reference.ObjType("Amuletofantasma"))
o.Scale=1.0
o.Orientation=(0.746208488941,-0.0190880745649,0.665231764317,-0.0165910944343)
darfuncs.SetHint(o,"The Talisman of Aegis")
o.Data=def_class.AmuletoInvincibility(o)


b1=def_class.CreateFireBomb("FireBomb1",(48650,-101,101930))
b2=def_class.CreateFireBomb("FireBomb2",(56639,-4104,109785))
b3=def_class.CreateFireBomb("FireBomb3",(52837,-4101,30867))
b4=def_class.CreateFireBomb("FireBomb4",(68225,-9101,47707))
b5=def_class.CreateFireBomb("FireBomb5",(36800,-104,10188))
b6=def_class.CreateFireBomb("FireBomb6",(16344,-13099,59208))
b7=def_class.CreateFireBomb("FireBomb7",(-25813,-101,-35817))
b8=def_class.CreateFireBomb("FireBomb8",(9458,-17097,-24787))
b9=def_class.CreateFireBomb("FireBomb9",(75618,-2013,-57063))
b10=def_class.CreateFireBomb("FireBomb10",(47534,-96,21756))
b11=def_class.CreateFireBomb("FireBomb11",(-60286,-16597,-6130))
b12=def_class.CreateFireBomb("FireBomb12",(-5338,-17097,-1675))
b13=def_class.CreateFireBomb("FireBomb13",(36297,-18120,16397))
b14=def_class.CreateFireBomb("FireBomb14",(22340,-13097,58726))
b15=def_class.CreateFireBomb("FireBomb15",(43163,-10597,51204))
b16=def_class.CreateFireBomb("FireBomb16",(42237,-15100,35050))
b17=def_class.CreateFireBomb("FireBomb17",(19058,-106,36350))
b18=def_class.CreateFireBomb("FireBomb18",(101069,9898,72722))
b19=def_class.CreateFireBomb("FireBomb19",(98408,9900,72350))
b20=def_class.CreateFireBomb("FireBomb20",(102570,9893,75534))
b21=def_class.CreateFireBomb("FireBomb21",(-43971,-9104,37101))
b22=def_class.CreateFireBomb("FireBomb22",(-44114,-9107,37386))






c1=def_class.CreateCyanideStar("CyanideStar1",(62641,-5616,81681))
c2=def_class.CreateCyanideStar("CyanideStar2",(77291,-5016,65833))
c3=def_class.CreateCyanideStar("CyanideStar3",(-7622,-1514,-21224))
c4=def_class.CreateCyanideStar("CyanideStar4",(45257,-1055,-56971))
c5=def_class.CreateCyanideStar("CyanideStar5",(78694,-4022,16022))
c6=def_class.CreateCyanideStar("CyanideStar6",(92064,-13019,-9907))
c7=def_class.CreateCyanideStar("CyanideStar7",(76441,-16,4442))
c8=def_class.CreateCyanideStar("CyanideStar8",(54908,-1765,7352))
c9=def_class.CreateCyanideStar("CyanideStar9",(-4850,-18000,-23600))
c10=def_class.CreateCyanideStar("CyanideStar10",(8650,-19000,-15780))


p1=def_class.CreateIceRocket("IceRocket1",(37383,-13200,-28095),(0.613,0.611,-0.353,0.353))
p2=def_class.CreateIceRocket("IceRocket2",(35190,-17046,-35088),(0.97,-0.0,-0.00,0.242))
p3=def_class.CreateIceRocket("IceRocket3",(35214,-17042,-34598),(0.813,-0.134,-0.514,0.237))
p4=def_class.CreateIceRocket("IceRocket4",(35296,-17106,-35294),(0.592,0.191,0.755,0.2))
p5=def_class.CreateIceRocket("IceRocket5",(34632,-17046,-34872),(0.110,0.694,-0.708,-0.05))
p6=def_class.CreateIceRocket("IceRocket6",(31206,-32,7698),(0.953,0.0747,0.15,0.249))


#############################################################################################################
o=Bladex.CreateEntity("Bo_1404","Bo",-32204.9362499,-682.566613886,42984.8180989, "Weapon")
o.Scale=1.0
o.Orientation=(0.991444885731,0.130526185036,0.0,0.0)
o.Alpha=0.01
darfuncs.SetHint(o,"Earthquake Stick")
	





